import{s as Z,n as ee,o as te}from"../chunks/scheduler.6062bdaf.js";import{S as oe,i as ne,g,s as i,r as x,A as ie,h as s,f as o,c,j as B,u as q,x as O,k as V,y as w,a as n,v as y,d as H,t as I,w as k}from"../chunks/index.4bca734e.js";import{D as Y}from"../chunks/Docstring.ed07512f.js";import{H as W}from"../chunks/Heading.723dceba.js";function ce(F){let a,T,C,A,h,D,u,J='Check out the <a href="/docs/huggingface_hub/v0.20.3/en/package_reference/hf_api#huggingface_hub.HfApi">HfApi</a> documentation page for the reference of methods to manage your Space on the Hub.',L,d,K='<li>Get collection content: <a href="/docs/huggingface_hub/v0.20.3/en/package_reference/hf_api#huggingface_hub.HfApi.get_collection">get_collection()</a></li> <li>Create new collection: <a href="/docs/huggingface_hub/v0.20.3/en/package_reference/hf_api#huggingface_hub.HfApi.create_collection">create_collection()</a></li> <li>Update a collection: <a href="/docs/huggingface_hub/v0.20.3/en/package_reference/hf_api#huggingface_hub.HfApi.update_collection_metadata">update_collection_metadata()</a></li> <li>Delete a collection: <a href="/docs/huggingface_hub/v0.20.3/en/package_reference/hf_api#huggingface_hub.HfApi.delete_collection">delete_collection()</a></li> <li>Add an item to a collection: <a href="/docs/huggingface_hub/v0.20.3/en/package_reference/hf_api#huggingface_hub.HfApi.add_collection_item">add_collection_item()</a></li> <li>Update an item in a collection: <a href="/docs/huggingface_hub/v0.20.3/en/package_reference/hf_api#huggingface_hub.HfApi.update_collection_item">update_collection_item()</a></li> <li>Remove an item from a collection: <a href="/docs/huggingface_hub/v0.20.3/en/package_reference/hf_api#huggingface_hub.HfApi.delete_collection_item">delete_collection_item()</a></li>',P,f,E,l,m,z,b,Q="Contains information about a Collection on the Hub.",M,p,j,r,_,G,v,X="Contains information about an item of a Collection (model, dataset, Space or paper).",S,$,U;return h=new W({props:{title:"Managing collections",local:"managing-collections",headingTag:"h1"}}),f=new W({props:{title:"Collection",local:"huggingface_hub.Collection",headingTag:"h3"}}),m=new Y({props:{name:"class huggingface_hub.Collection",anchor:"huggingface_hub.Collection",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"huggingface_hub.Collection.slug",description:`<strong>slug</strong> (<code>str</code>) &#x2014;
Slug of the collection. E.g. <code>&quot;TheBloke/recent-models-64f9a55bb3115b4f513ec026&quot;</code>.`,name:"slug"},{anchor:"huggingface_hub.Collection.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
Title of the collection. E.g. <code>&quot;Recent models&quot;</code>.`,name:"title"},{anchor:"huggingface_hub.Collection.owner",description:`<strong>owner</strong> (<code>str</code>) &#x2014;
Owner of the collection. E.g. <code>&quot;TheBloke&quot;</code>.`,name:"owner"},{anchor:"huggingface_hub.Collection.items",description:`<strong>items</strong> (<code>List[CollectionItem]</code>) &#x2014;
List of items in the collection.`,name:"items"},{anchor:"huggingface_hub.Collection.last_updated",description:`<strong>last_updated</strong> (<code>datetime</code>) &#x2014;
Date of the last update of the collection.`,name:"last_updated"},{anchor:"huggingface_hub.Collection.position",description:`<strong>position</strong> (<code>int</code>) &#x2014;
Position of the collection in the list of collections of the owner.`,name:"position"},{anchor:"huggingface_hub.Collection.private",description:`<strong>private</strong> (<code>bool</code>) &#x2014;
Whether the collection is private or not.`,name:"private"},{anchor:"huggingface_hub.Collection.theme",description:`<strong>theme</strong> (<code>str</code>) &#x2014;
Theme of the collection. E.g. <code>&quot;green&quot;</code>.`,name:"theme"},{anchor:"huggingface_hub.Collection.upvotes",description:`<strong>upvotes</strong> (<code>int</code>) &#x2014;
Number of upvotes of the collection.`,name:"upvotes"},{anchor:"huggingface_hub.Collection.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Description of the collection, as plain text.`,name:"description"},{anchor:"huggingface_hub.Collection.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the collection on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.20.3/src/huggingface_hub/hf_api.py#L992"}}),p=new W({props:{title:"CollectionItem",local:"huggingface_hub.CollectionItem",headingTag:"h3"}}),_=new Y({props:{name:"class huggingface_hub.CollectionItem",anchor:"huggingface_hub.CollectionItem",parameters:[{name:"_id",val:": str"},{name:"id",val:": str"},{name:"type",val:": CollectionItemType_T"},{name:"position",val:": int"},{name:"note",val:": Optional[Dict] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"huggingface_hub.CollectionItem.item_object_id",description:`<strong>item_object_id</strong> (<code>str</code>) &#x2014;
Unique ID of the item in the collection.`,name:"item_object_id"},{anchor:"huggingface_hub.CollectionItem.item_id",description:`<strong>item_id</strong> (<code>str</code>) &#x2014;
ID of the underlying object on the Hub. Can be either a repo_id or a paper id
e.g. <code>&quot;jbilcke-hf/ai-comic-factory&quot;</code>, <code>&quot;2307.09288&quot;</code>.`,name:"item_id"},{anchor:"huggingface_hub.CollectionItem.item_type",description:`<strong>item_type</strong> (<code>str</code>) &#x2014;
Type of the underlying object. Can be one of <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code> or <code>&quot;paper&quot;</code>.`,name:"item_type"},{anchor:"huggingface_hub.CollectionItem.position",description:`<strong>position</strong> (<code>int</code>) &#x2014;
Position of the item in the collection.`,name:"position"},{anchor:"huggingface_hub.CollectionItem.note",description:`<strong>note</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Note associated with the item, as plain text.`,name:"note"}],source:"https://github.com/huggingface/huggingface_hub/blob/v0.20.3/src/huggingface_hub/hf_api.py#L957"}}),{c(){a=g("meta"),T=i(),C=g("p"),A=i(),x(h.$$.fragment),D=i(),u=g("p"),u.innerHTML=J,L=i(),d=g("ul"),d.innerHTML=K,P=i(),x(f.$$.fragment),E=i(),l=g("div"),x(m.$$.fragment),z=i(),b=g("p"),b.textContent=Q,M=i(),x(p.$$.fragment),j=i(),r=g("div"),x(_.$$.fragment),G=i(),v=g("p"),v.textContent=X,S=i(),$=g("p"),this.h()},l(e){const t=ie("svelte-u9bgzb",document.head);a=s(t,"META",{name:!0,content:!0}),t.forEach(o),T=c(e),C=s(e,"P",{}),B(C).forEach(o),A=c(e),q(h.$$.fragment,e),D=c(e),u=s(e,"P",{"data-svelte-h":!0}),O(u)!=="svelte-9xxvp6"&&(u.innerHTML=J),L=c(e),d=s(e,"UL",{"data-svelte-h":!0}),O(d)!=="svelte-1q8i640"&&(d.innerHTML=K),P=c(e),q(f.$$.fragment,e),E=c(e),l=s(e,"DIV",{class:!0});var R=B(l);q(m.$$.fragment,R),z=c(R),b=s(R,"P",{"data-svelte-h":!0}),O(b)!=="svelte-182nhcq"&&(b.textContent=Q),R.forEach(o),M=c(e),q(p.$$.fragment,e),j=c(e),r=s(e,"DIV",{class:!0});var N=B(r);q(_.$$.fragment,N),G=c(N),v=s(N,"P",{"data-svelte-h":!0}),O(v)!=="svelte-11ei059"&&(v.textContent=X),N.forEach(o),S=c(e),$=s(e,"P",{}),B($).forEach(o),this.h()},h(){V(a,"name","hf:doc:metadata"),V(a,"content",ae),V(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){w(document.head,a),n(e,T,t),n(e,C,t),n(e,A,t),y(h,e,t),n(e,D,t),n(e,u,t),n(e,L,t),n(e,d,t),n(e,P,t),y(f,e,t),n(e,E,t),n(e,l,t),y(m,l,null),w(l,z),w(l,b),n(e,M,t),y(p,e,t),n(e,j,t),n(e,r,t),y(_,r,null),w(r,G),w(r,v),n(e,S,t),n(e,$,t),U=!0},p:ee,i(e){U||(H(h.$$.fragment,e),H(f.$$.fragment,e),H(m.$$.fragment,e),H(p.$$.fragment,e),H(_.$$.fragment,e),U=!0)},o(e){I(h.$$.fragment,e),I(f.$$.fragment,e),I(m.$$.fragment,e),I(p.$$.fragment,e),I(_.$$.fragment,e),U=!1},d(e){e&&(o(T),o(C),o(A),o(D),o(u),o(L),o(d),o(P),o(E),o(l),o(M),o(j),o(r),o(S),o($)),o(a),k(h,e),k(f,e),k(m),k(p,e),k(_)}}}const ae='{"title":"Managing collections","local":"managing-collections","sections":[{"title":"Collection","local":"huggingface_hub.Collection","sections":[],"depth":3},{"title":"CollectionItem","local":"huggingface_hub.CollectionItem","sections":[],"depth":3}],"depth":1}';function le(F){return te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ue extends oe{constructor(a){super(),ne(this,a,le,ce,Z,{})}}export{ue as component};
